org.jboss.resteasy.plugins.providers.atom.app

## Class AppCommonAttributes

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AppAccept, AppCategories, AppCollection, AppService, AppWorkspace

      public class AppCommonAttributes
      extends Object
      implements Serializable

  Attributes common across all atom app types
  Version:
    $Revision: 1 $
  Author:
    Kurt Stam
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppCommonAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBase()` Gets the value of the base property.
    `String` | `getLang()` Gets the value of the lang property.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `String` | `getSpace()` Gets the value of the space property.
    `void` | `setBase(String value)` Sets the value of the base property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setSpace(String value)` Sets the value of the space property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppCommonAttributes

          public AppCommonAttributes()

  - ### Method Detail

    - #### getBase

          public String getBase()

      Gets the value of the base property.
      Returns:
        possible object is `String`

    - #### setBase

          public void setBase(String value)

      Sets the value of the base property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSpace

          public String getSpace()

      Gets the value of the space property.
      Returns:
        possible object is `String`

    - #### setSpace

          public void setSpace(String value)

      Sets the value of the space property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null

Copyright © 2014. All Rights Reserved.